﻿using Microsoft.Phone.Scheduler;
using Microsoft.Phone.Shell;
using System;
using System.Linq;

namespace LiveTilesAgent
{
    public class ScheduledAgent : ScheduledTaskAgent
    {
        /// <summary>
        /// Agent that runs a scheduled task
        /// </summary>
        /// <param name="task">
        /// The invoked task
        /// </param>
        /// <remarks>
        /// This method is called when a periodic or resource intensive task is invoked
        /// </remarks>
        protected override void OnInvoke(ScheduledTask task)
        {
          //Check scheduling type to determine which work to do
          if (task is PeriodicTask)
          {
            //TODO: Add code to perform your task in background
            //Find Secondary tile and add a count.
            var tile = ShellTile.ActiveTiles.FirstOrDefault(x => x.NavigationUri.ToString().Contains("show"));
            if (tile != null)
            {
              var rand = new Random();
              var newTileData = new StandardTileData
              {
                Count = rand.Next(0, 99)
              };
              tile.Update(newTileData);
            }
          }
          else if (task is ResourceIntensiveTask)
          {
            //Do resource intensive work here
          }
            NotifyComplete();
        }
    }
}
