﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Microsoft.Phone.Scheduler;

namespace LiveTilesTest
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void btnDetail_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/DetailPage.xaml", UriKind.Relative));
        }

        private void btnTile_Click(object sender, RoutedEventArgs e)
        {
            var shellTile = ShellTile.ActiveTiles.FirstOrDefault(x => x.NavigationUri.ToString().Contains("show"));

            if (shellTile == null)
            {
                var tileData = new StandardTileData
                {
                    Title = "To the details"
                };

                ShellTile.Create(new Uri("/DetailPage.xaml?show=true", UriKind.Relative), tileData);
            }
        }

        private void btnSchedule_Click(object sender, RoutedEventArgs e)
        {
            PeriodicTask task = new PeriodicTask("Agent");
            task.Description = "Live tiles task.";

            if (ScheduledActionService.Find(task.Name) != null)
            {
                ScheduledActionService.Remove("Agent");
            }

            ScheduledActionService.Add(task);
            ScheduledActionService.LaunchForTest(task.Name, TimeSpan.FromMilliseconds(500));
        }
    }
}